Analytics Summary
curl --request GET \
--url http://{host}:{port}/{basePath}/analytics/summary \
--header 'Authorization: <api-key>'{
"apiVersion": "v1",
"kind": "AnalyticsSummary",
"metadata": {
"period": "7d",
"from": "2026-03-12T00:00:00Z",
"to": "2026-03-19T15:00:00Z",
"generatedAt": "2026-03-19T15:05:00Z"
},
"summary": {
"incidents": {
"total": 42,
"bySeverity": {
"critical": 3,
"high": 12,
"medium": 18,
"low": 9
},
"byState": {
"resolved": 35,
"analyzing": 3,
"remediating": 2,
"escalated": 2
},
"autoResolved": 28,
"autoResolvedPercent": 66.7,
"avgTimeToDetect": "45s",
"avgTimeToResolve": "8m30s"
},
"slos": {
"total": 8,
"healthy": 5,
"warning": 2,
"breached": 1,
"avgBudgetRemaining": "58%"
},
"remediations": {
"total": 30,
"successful": 28,
"failed": 2,
"successRate": 93.3,
"avgExecutionTime": "4m15s",
"topRunbooks": [
{"name": "runbook-oomkill-standard", "count": 12},
{"name": "runbook-crashloop-restart", "count": 8},
{"name": "runbook-latency-scale", "count": 5}
]
},
"approvals": {
"total": 15,
"approved": 12,
"rejected": 2,
"expired": 1,
"avgDecisionTime": "3m20s"
},
"trends": {
"incidentsVsPrevPeriod": "-15%",
"mttrVsPrevPeriod": "-22%",
"autoResolveVsPrevPeriod": "+8%"
}
}
}
Analytics
Analytics Summary
Returns a consolidated summary of operational metrics from the platform
GET
/
analytics
/
summary
Analytics Summary
curl --request GET \
--url http://{host}:{port}/{basePath}/analytics/summary \
--header 'Authorization: <api-key>'{
"apiVersion": "v1",
"kind": "AnalyticsSummary",
"metadata": {
"period": "7d",
"from": "2026-03-12T00:00:00Z",
"to": "2026-03-19T15:00:00Z",
"generatedAt": "2026-03-19T15:05:00Z"
},
"summary": {
"incidents": {
"total": 42,
"bySeverity": {
"critical": 3,
"high": 12,
"medium": 18,
"low": 9
},
"byState": {
"resolved": 35,
"analyzing": 3,
"remediating": 2,
"escalated": 2
},
"autoResolved": 28,
"autoResolvedPercent": 66.7,
"avgTimeToDetect": "45s",
"avgTimeToResolve": "8m30s"
},
"slos": {
"total": 8,
"healthy": 5,
"warning": 2,
"breached": 1,
"avgBudgetRemaining": "58%"
},
"remediations": {
"total": 30,
"successful": 28,
"failed": 2,
"successRate": 93.3,
"avgExecutionTime": "4m15s",
"topRunbooks": [
{"name": "runbook-oomkill-standard", "count": 12},
{"name": "runbook-crashloop-restart", "count": 8},
{"name": "runbook-latency-scale", "count": 5}
]
},
"approvals": {
"total": 15,
"approved": 12,
"rejected": 2,
"expired": 1,
"avgDecisionTime": "3m20s"
},
"trends": {
"incidentsVsPrevPeriod": "-15%",
"mttrVsPrevPeriod": "-22%",
"autoResolveVsPrevPeriod": "+8%"
}
}
}
Analysis period:
24h, 7d, 30d, 90dFilter by specific namespace
Filter by cluster (in federated environments)
{
"apiVersion": "v1",
"kind": "AnalyticsSummary",
"metadata": {
"period": "7d",
"from": "2026-03-12T00:00:00Z",
"to": "2026-03-19T15:00:00Z",
"generatedAt": "2026-03-19T15:05:00Z"
},
"summary": {
"incidents": {
"total": 42,
"bySeverity": {
"critical": 3,
"high": 12,
"medium": 18,
"low": 9
},
"byState": {
"resolved": 35,
"analyzing": 3,
"remediating": 2,
"escalated": 2
},
"autoResolved": 28,
"autoResolvedPercent": 66.7,
"avgTimeToDetect": "45s",
"avgTimeToResolve": "8m30s"
},
"slos": {
"total": 8,
"healthy": 5,
"warning": 2,
"breached": 1,
"avgBudgetRemaining": "58%"
},
"remediations": {
"total": 30,
"successful": 28,
"failed": 2,
"successRate": 93.3,
"avgExecutionTime": "4m15s",
"topRunbooks": [
{"name": "runbook-oomkill-standard", "count": 12},
{"name": "runbook-crashloop-restart", "count": 8},
{"name": "runbook-latency-scale", "count": 5}
]
},
"approvals": {
"total": 15,
"approved": 12,
"rejected": 2,
"expired": 1,
"avgDecisionTime": "3m20s"
},
"trends": {
"incidentsVsPrevPeriod": "-15%",
"mttrVsPrevPeriod": "-22%",
"autoResolveVsPrevPeriod": "+8%"
}
}
}
Authorizations
Bearer token issued by the operator. Format: Authorization: Bearer <token>.
Query Parameters
Analysis period.
Available options:
24h, 7d, 30d, 90d Filter by namespace.
Filter by cluster (federated environments).
Response
Analytics summary
Example:
"v1"
Example:
"AnalyticsSummary"
Show child attributes
Show child attributes
Aggregated counters returned at the top level of the spec body. As of the GAP-03/04 fixes, dashboards rely on containedIssues, postMortemsRequiringHumanAction and chaosInducedIssues to distinguish truly resolved incidents from contained ones and to keep chaos drills out of production trend widgets.
Show child attributes
Show child attributes
⌘I